﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Linq;
using System.Windows.Forms;
using HeuristicLab.Analysis.SolutionCaching.RunCollectionModifiers;
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;
using HeuristicLab.Operators;
using HeuristicLab.Optimization;

namespace HeuristicLab.Analysis.SolutionCaching.Views {
  public partial class RunCollectionModifierTasksConfigurator : Form {
    public IOptimizer Content { get; set; }
    public RunCollectionModifierTask runCollectionModifierTask;

    public RunCollectionModifierTask RunCollectionModifierTask {
      get { return runCollectionModifierTask; }
    }

    public RunCollectionModifierTasksConfigurator() {
      InitializeComponent();
      runCollectionModifierTask = new RunCollectionModifierTask();
    }

    private void okButton_Click(object sender, System.EventArgs e) {
      CreateTask();
      Close();
    }

    private void cancelButton_Click(object sender, System.EventArgs e) {
      Close();
    }

    private void RunCollectionModifierTasksConfigurator_Load(object sender, EventArgs e) {
      viewHost.Content = runCollectionModifierTask;
    }

    private void CreateTask() {
      runCollectionModifierTask.RunCollection.AddRange(Content.Runs);
      MainFormManager.MainForm.ShowContent(runCollectionModifierTask);
    }
  }
}